Skip to main content
GET
/
v1
/
emails
/
{id}
/
workflow
cURL
curl --request GET \
  --url https://api.transmit.dev/v1/emails/{id}/workflow \
  --header 'Authorization: Bearer <token>'
{
  "emailId": "<string>",
  "status": "<string>",
  "jobStatus": "<unknown>",
  "created_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.transmit.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your API key with 'tx_' prefix. Get your API key from the dashboard.

Path Parameters

id
string
required

Response

Workflow status retrieved successfully

emailId
string
required

Email ID

status
string
required

Current email status

jobStatus
any
required

Workpool job status

created_at
string<date-time>
required

Creation timestamp

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$